@ECHO OFF
IF %1. == . GOTO HELP
IF NOT EXIST %1\CONFIG.SYS GOTO HELP
IF %2. == . GOTO HELP
IF %2. == rexx. GOTO OREXX_UP
IF %2. == REXX. GOTO OREXX_UP
IF %2. == merge. GOTO MERGE_UP
IF %2. == MERGE. GOTO MERGE_UP
GOTO HELP
IF %2. == wp. GOTO WP_UP
IF %2. == WP. GOTO WP_UP
GOTO HELP
:OREXX_UP
SET FP5_UP_FILE=%1\OS2\DLL\REXX.DLL
SET FP5_UP_SRC=OREXX_DLL
SET FP5_UP_BAK=%1\OS2\DLL\%FP5_UP_SRC%.BAK
IF NOT EXIST %FP5_UP_FILE% GOTO NOFILE
IF NOT EXIST %1\OS2\DLL\CREXX.DLL GOTO CLASSIC
IF NOT EXIST %1\OS2\DLL\OREXX.DLL GOTO OBJECT
GOTO ERROR
:OBJECT
REM Object Rexx active
@DIR %FP5_UP_FILE% %FP5_UP_SRC%
ECHO Update %FP5_UP_FILE% (y/n)?
@ASKIT2 ny 5
IF ERRORLEVEL 2 GOTO UPDATE_OBJECT
GOTO BYPASS
:UPDATE_OBJECT
ECHO Updating %FP5_UP_FILE%
ECHO Copying %FP5_UP_FILE% to %FP5_UP_BAK%
COPY %FP5_UP_FILE% %FP5_UP_BAK%
IF ERRORLEVEL 1 GOTO COPY_ERR
ECHO Replacing %FP5_UP_FILE% with %FP5_UP_SRC%
REPMOD %FP5_UP_SRC% %FP5_UP_FILE%
IF ERRORLEVEL 1 GOTO REPL_ERR
GOTO REBOOT
:CLASSIC
REM Classic Rexx active
SET FP5_UP_FILE=%1\OS2\DLL\OREXX.DLL
@DIR %FP5_UP_FILE% %FP5_UP_SRC%
ECHO Update %FP5_UP_FILE% (y/n)?
@ASKIT2 ny 5
IF ERRORLEVEL 2 GOTO UPDATE_CLASSIC
GOTO BYPASS
:UPDATE_CLASSIC
ECHO Updating %FP5_UP_FILE%
IF NOT EXIST %FP5_UP_FILE% GOTO NOFILE
IF EXIST %FP5_UP_BAK% GOTO NOCHANGE
ECHO Copying %FP5_UP_FILE% to %FP5_UP_BAK%
COPY %FP5_UP_FILE% %FP5_UP_BAK%
IF ERRORLEVEL 1 GOTO COPY_ERR
ECHO Replacing %FP5_UP_FILE% with %FP5_UP_SRC%
REPMOD %FP5_UP_SRC% %FP5_UP_FILE%
IF ERRORLEVEL 1 GOTO REPL_ERR
GOTO END
:MERGE_UP
SET FP5_UP_FILE=%1\OS2\DLL\PMMERGE.DLL
IF NOT EXIST %FP5_UP_FILE% GOTO NOFILE
ECHO Update %FP5_UP_FILE% (y/n)?
@ASKIT2 ny 5
IF ERRORLEVEL 2 GOTO UPDATE_MERGE
GOTO BYPASS
:UPDATE_MERGE
SET FP5_UP_SRC=PMMERGE_DLL
SET FP5_UP_BAK=%1\OS2\DLL\%FP5_UP_SRC%.BAK
IF EXIST %FP5_UP_BAK% GOTO NOCHANGE
ECHO Copying %FP5_UP_FILE% to %FP5_UP_BAK%
COPY %FP5_UP_FILE% %FP5_UP_BAK%
IF ERRORLEVEL 1 GOTO COPY_ERR
ECHO Replacing %FP5_UP_FILE% with %FP5_UP_SRC%
REPMOD %FP5_UP_SRC% %FP5_UP_FILE%
IF ERRORLEVEL 1 GOTO ERROR
SET FP5_UP_FILE=%1\OS2\PDPSI\PMDF\PMMERGE.SYM
SET FP5_UP_SRC=PMMERGE_SYM
SET FP5_UP_BAK=%1\OS2\PDPSI\PMDF\%FP5_UP_SRC%.UPD
IF EXIST %FP5_UP_FILE% COPY %FP5_UP_FILE% %FP5_UP_BAK%
IF ERRORLEVEL 1 ECHO An error has occurred copying %FP5_UP_FILE% to %FP5_UP_BAK%.
IF NOT ERRORLEVEL 1 ECHO Replacing %FP5_UP_FILE% with %FP5_UP_SRC%
IF NOT ERRORLEVEL 1 REPMOD %FP5_UP_SRC% %FP5_UP_FILE%
IF ERRORLEVEL 1 ECHO An error has occurred replacing %FP5_UP_FILE% with %FP5_UP_SRC%.
GOTO REBOOT
:WP_UP
SET FP5_UP_FILE=%1\OS2\DLL\PMWP.DLL
IF NOT EXIST %FP5_UP_FILE% GOTO NOFILE
ECHO Update %FP5_UP_FILE% (y/n)?
@ASKIT2 ny 5
IF ERRORLEVEL 2 GOTO UPDATE_WP
GOTO BYPASS
:UPDATE_WP
SET FP5_UP_SRC=PMWP_DLL
SET FP5_UP_BAK=%1\OS2\DLL\%FP5_UP_SRC%.BAK
IF EXIST %FP5_UP_BAK% GOTO NOCHANGE
ECHO Copying %FP5_UP_FILE% to %FP5_UP_BAK%
COPY %FP5_UP_FILE% %FP5_UP_BAK%
IF ERRORLEVEL 1 GOTO COPY_ERR
ECHO Replacing %FP5_UP_FILE% with %FP5_UP_SRC%
REPMOD %FP5_UP_SRC% %FP5_UP_FILE%
IF ERRORLEVEL 1 GOTO REPL_ERR
SET FP5_UP_FILE=%1\OS2\PDPSI\PMDF\PMWP.SYM
SET FP5_UP_SRC=PMWP_SYM
SET FP5_UP_BAK=%1\OS2\PDPSI\PMDF\%FP5_UP_SRC%.BAK
IF EXIST %FP5_UP_FILE% COPY %FP5_UP_FILE% %FP5_UP_BAK%
IF ERRORLEVEL 1 ECHO An error has occurred copying %FP5_UP_FILE% to %FP5_UP_BAK%.
IF NOT ERRORLEVEL 1 ECHO Replacing %FP5_UP_FILE% with %FP5_UP_SRC%
IF NOT ERRORLEVEL 1 REPMOD %FP5_UP_SRC% %FP5_UP_FILE%
IF ERRORLEVEL 1 ECHO An error has occurred replacing %FP5_UP_FILE% with %FP5_UP_SRC%.
SET FP5_UP_FILE=%1\OS2\SYSTEM\TRACE\PMWP.TDF
SET FP5_UP_SRC=PMWP_TDF
SET FP5_UP_BAK=%1\OS2\SYSTEM\TRACE\%FP5_UP_SRC%.BAK
IF EXIST %FP5_UP_FILE% COPY %FP5_UP_FILE% %FP5_UP_BAK%
IF ERRORLEVEL 1 ECHO An error has occurred copying %FP5_UP_FILE% to %FP5_UP_BAK%.
IF ERRORLEVEL 1 GOTO REBOOT
ECHO Replacing %FP5_UP_FILE% with %FP5_UP_SRC%
REPMOD %FP5_UP_SRC% %FP5_UP_FILE%
IF ERRORLEVEL 1 ECHO An error has occurred replacing %FP5_UP_FILE% with %FP5_UP_SRC%.
GOTO REBOOT
:COPY_ERR
ECHO An error has occurred copying %FP5_UP_FILE% to %FP5_UP_BAK%.
GOTO NOCHANGE
:REPL_ERR
ECHO An error has occurred replacing %FP5_UP_FILE% with %FP5_UP_SRC%.
GOTO NOCHANGE
:ERROR
ECHO A processing error has occurred with %FP5_UP_FILE%.
GOTO NOCHANGE
:REBOOT
ECHO A re-boot of %1 is required to activate the change.
GOTO END
:BYPASS
ECHO Bypassing updates to %FP5_UP_FILE%.
GOTO END
:NOCHANGE
ECHO No changes were made to %FP5_UP_FILE%.
GOTO END
:NOFILE
ECHO %FP5_UP_FILE% was not found.
GOTO END
:HELP
@ECHO OFF
ECHO FP5_UP  HELP
ECHO Syntax:   FP5_UP TARGET OPTION
ECHO Where:    TARGET is the destination drive.
ECHO           OPTION is the update option:
ECHO             REXX  - update the Object Rexx REXX.DLL module installed
ECHO                     by MCP/ACP Fixpack 3 to the level shipped in Fixpack 2.
ECHO             MERGE - update the PMMERGE.DLL module installed by MCP/ACP
ECHO                     Fixpack 5 to the level shipped in Fixpack 4.
rem ECHO             WP    - update the PMWP.DLL module installed by MCP/ACP
rem ECHO                     Fixpack 5 to the level shipped in Fixpack 4.
GOTO END
:END
